WHENEVER SQLERROR EXIT FAILURE ROLLBACK;
WHENEVER OSERROR  EXIT FAILURE ROLLBACK;

spool SYS_MESSAGES.log


prompt
prompt Creating table SYS_MESSAGES
prompt ===========================
prompt
whenever sqlerror continue
drop table SYS_MESSAGES;
whenever sqlerror exit failure rollback

create table SYS_MESSAGES
(
  MESSAGE_CODE     VARCHAR2(200) not null,
  LANGUAGE         VARCHAR2(4) not null,
  MESSAGE_NAME     VARCHAR2(200),
  MODULE_ID        NUMBER,
  MESSAGE          VARCHAR2(2000),
  CREATION_DATE    DATE not null,
  CREATED_BY       NUMBER not null,
  LAST_UPDATE_DATE DATE not null,
  LAST_UPDATED_BY  NUMBER not null
);


alter table SYS_MESSAGES
  add constraint SYS_MESSAGES_PK primary key (MESSAGE_CODE,LANGUAGE);

spool off

exit
